using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability369.Domain;

public class TaobaoTbkDgOptimusPromotionPromotionList
{

    /*
        权益开始时间，精确到毫秒时间戳
    */
    private string? entryUsedStartTime;


    /*
        权益结束时间，精确到毫秒时间戳
    */
    private string? entryUsedEndTime;


    /*
        权益起用门槛，满X元可用，券场景为满元，精确到分，如满100元可用
    */
    private string? entryCondition;


    /*
        权益面额，券场景为减钱，精确到分
    */
    private string? entryDiscount;



    [JsonPropertyName("entry_used_start_time")]
    public string? EntryUsedStartTime
    {
        get => entryUsedStartTime;
        set => this.entryUsedStartTime = value;
    }

    [JsonPropertyName("entry_used_end_time")]
    public string? EntryUsedEndTime
    {
        get => entryUsedEndTime;
        set => this.entryUsedEndTime = value;
    }

    [JsonPropertyName("entry_condition")]
    public string? EntryCondition
    {
        get => entryCondition;
        set => this.entryCondition = value;
    }

    [JsonPropertyName("entry_discount")]
    public string? EntryDiscount
    {
        get => entryDiscount;
        set => this.entryDiscount = value;
    }

}

